playbooks.d(7) "/etc/bashtard/playbooks.d"

; SPDX-FileCopyrightText: 2022 Patrick Spek <p.spek@tyil.nl>
;
; SPDX-License-Identifier: AGPL-3.0-or-later

# INTRODUCTION

*bashtard* playbooks are, in essence, no more than directories with a small
number of required files. Even remote playbooks just get cloned into regular
directories inside _playbooks.d_. The files you must include in any playbook
are:

- description.txt
- playbook.bash

The filename are case sensitive, and the extensions are required.

# HIERARCHY

# description.txt

This is a small text file which contains a small description of the playbook,
usually only a single sentence. This description is shown in the usage output of
*bashtard*.

# playbook.bash

The _playbook.bash_ file is a regular Bash script. It must contain 3 specific
functions, which are called by *bashtard* when the appropriate subcommand is
invoked. These functions are _playbook_add()_, _playbook_sync()_, and
_playbook_del()_. How you define these functions is up to you.

# SEE ALSO

- _bashtard(3)_ -- Variables and functions exposed by Bashtard
